INSERT INTO FTS_Lenses (
	ID,
    MakerId,
    MountId,
    MaxAperture,
    MinAperture,
    FocalLength,
    LensType,
    LensLabel,
    Order_No,
    Production_era,
    LensVariants,
    Number_of_lenses_groups,
    MFD,
    Diaphragm_setting_type,
    Angle_of_view,
    Filter_type,
    Accessories,
    Materials,
    Dimensions_diameter,
    Weight,
    Inscriptions,
    Designer,
    Information,
    DateCreated,
    DateChanged,
    Aperture,
    Smallest_object_field,
    Largest_reproduction,
    Position_of_entrance_pupil,
    Scales,
    Viewfinder,
    Length_to_bayonet_flange,
    Largest_diameter,
    Tech_Data,
    Focusing_range,
    Lens_mount_description,
    Maximum_magnification,
    Compatibility,
    Bayonet,
    Dimension,
    Special_editions,
    Known_as,
    Lens_Coding,
    FocalLength_sort,
    Focus_throw,
    Type_of_focus_ring,
    R_lens_spec,
    Row_colour,
    ID_Lens,
    Purchase_date,
    Purchase_price,
    Purchase_serial_no,
    Purchase_from,
    Purchase_lens_colour,
    Purchase_lens_condition,
    Purchase__comment,
    CLA_reason,
    CLA_warranty,
    CLA_serial_no,
    CLA_date_shipment,
    CLA_recipient,
    CLA_eoc,
    CLA_date_arrival,
    CLA_actual_cost,
    CLA_comments,
    Sale_date,
    Sale_price,
    Sale_serial_no,
    Sale_to,
    Sale_lens_colour,
    Sale_lens_condition,
    Sale__comment,
    MakerName,
    CountryId,
    LogoPath,
    WebSite,
    maInformation,
    MountName,
    moInformation
    ) 
    SELECT  l.* , 
		o.ID_Lens,
		o.Purchase_date,
		o.Purchase_price,
		o.Purchase_serial_no,
		o.Purchase_from,
		o.Purchase_lens_colour,
		o.Purchase_lens_condition,
		o.Purchase__comment,
		c.CLA_reason,
		c.CLA_warranty,
		c.CLA_serial_no,
		c.CLA_date_shipment,
		c.CLA_recipient,
		c.CLA_eoc,
		c.CLA_date_arrival,
		c.CLA_actual_cost,
		c.CLA_comments,
		s.Sale_date,
		s.Sale_price,
		s.Sale_serial_no,
		s.Sale_to,
		s.Sale_lens_colour,
		s.Sale_lens_condition,
		s.Sale__comment,
		ma.MakerName,
		ma.CountryId,
		ma.LogoPath,
		ma.WebSite,
		ma.Information as maInformation,
		mo.MountName,
		mo.Information as moInformation
FROM Lenses l
LEFT JOIN Lens_ownership o ON l.ID=o.ID_Lens
LEFT JOIN Lens_CLA c ON l.ID=c.ID_Lens
LEFT JOIN Lens_sale s ON l.ID=s.ID_Lens
LEFT JOIN Makers ma ON l.MakerId=ma.ID
LEFT JOIN Mounts mo ON l.MountId=mo.ID

